Skip to content

Get Check By Id

GET
/api/agents/lorekeeper/check/{check_id}

Load a specific check (with all its issues) — used by the history UI.

check_id
required
Check Id
string

Successful Response

ConsistencyCheckDetailResponse

Full consistency check result with issues.

object
check
required
ConsistencyCheckHistoryItem

Check metadata

object
id
required
Id

Check ID

string
documentId
required
Documentid

Document that was checked

string
projectId
required
Projectid

Project ID

string
checkedAt
required
Checkedat

Timestamp in milliseconds

integer
consistencyLevel
required
Consistencylevel

Check depth used

string
overallScore
required
Overallscore

0-100 issue-penalty consistency score (what the UI displays)

number
<= 100
confidenceScore
Any of:
number
loreRelevance
Any of:
number
entityCount
Entitycount

Entities found

integer
0
issueCount
Issuecount

Issues found

integer
0
analysisNotes
Any of:
Array<string>
suggestedWorkflows
Suggestedworkflows

Workflow ids Lorekeeper recommended as fix actions for this check (e.g. ["hawken_contradiction_resolve"]). Empty when no fix workflow matched the run’s severities. Historical checks saved before this field existed have an empty list.

Array<string>
issues
required
Issues

Issues from this check

Array<object>
ConsistencyIssueDetail

Persisted consistency issue with status tracking.

object
id
required
Id

Issue ID

string
checkId
required
Checkid

Parent check ID

string
entityName
Any of:
string
entityType
Any of:
string
issueSource
required
Issuesource

Which check found this

string
severity
required
Severity

Issue severity

string
description
Description

Issue description

string
""
context
Any of:
string
suggestedFix
Any of:
string
status
Status

Open/acknowledged/resolved/false_positive

string
default: open
resolvedAt
Any of:
integer
documentId
Any of:
string
checkedAt
Any of:
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object